CREATE TABLE "t_compare" (
	 "_id" INTEGER NOT NULL,
	 "brand_id" INTEGER,
	 "brand_name" TEXT,
	 "serial_id" INTEGER,
	 "serial_name" TEXT,
	 "car_id" INTEGER UNIQUE,
	 "car_name" TEXT,
	 "car_full_name" TEXT,
	 "year" INTEGER,
	 "in_compare" INTEGER DEFAULT 0,
	 "price" TEXT,
	 "create_time" INTEGER NOT NULL,
	 "sync_status" INTEGER DEFAULT 0,
	  "logo_url" TEXT,
	PRIMARY KEY("_id")
);
CREATE TABLE "t_history" (
	 "_id" INTEGER NOT NULL,
	 "type" INTEGER,
	 "brand_id" INTEGER,
	 "brand_name" TEXT,
	 "serial_id" INTEGER,
	 "serial_name" TEXT,
	 "car_id" INTEGER,
	 "car_name" TEXT,
	 "year" INTEGER,
	 "short_info" TEXT,
	 "price" TEXT,
	 "img_url" TEXT,
	 "create_time" INTEGER NOT NULL,
	 "update_time" INTEGER,
	 "ispk" INTEGER DEFAULT 0,
	 "stopsale" INTEGER DEFAULT 0,
	 "logo_url" TEXT,
	 "sale_status" INTEGER,
	PRIMARY KEY("_id")
);
CREATE TABLE "t_favorite" (
	 "_id" INTEGER NOT NULL,
	 "type" INTEGER,
	 "brand_id" INTEGER,
	 "brand_name" TEXT,
	 "serial_id" INTEGER,
	 "serial_name" TEXT,
	 "car_id" INTEGER,
	 "car_name" TEXT,
	 "year" INTEGER,
	 "short_info" TEXT,
	 "price" TEXT,
	 "img_url" TEXT,
	 "create_time" INTEGER NOT NULL,
	 "update_time" INTEGER,
	 "stopsale" INTEGER DEFAULT 0,
	 "sync_status" INTEGER DEFAULT 0,
	  "logo_url" TEXT,
	PRIMARY KEY("_id")
);
CREATE TABLE "t_order" (
	 "_id" INTEGER NOT NULL,
	 "serial_id" INTEGER,
	 "car_id" INTEGER,
	 "name" TEXT,
	 "city_code" TEXT,
	 "dealer_ids" INTEGER,
	 "phone" TEXT,
	 "gender" INTEGER,
	 "order_type" INTEGER,
	 "buy_plan_days" TEXT,
	PRIMARY KEY("_id")
);
CREATE TABLE "t_auto_dealer" (
	 "_id" INTEGER NOT NULL,
	 "dealer_id" INTEGER UNIQUE NOT NULL,
	 "min_price" INTEGER,
	 "max_price" INTEGER,
	 "dealer_name" TEXT NOT NULL,
	 "sales_area_key" TEXT,
	 "logo" TEXT,
	 "cover" TEXT,
	 "address" TEXT,
	 "phone" TEXT,
	PRIMARY KEY("_id")
);
CREATE TABLE "t_search_history" (
	 "_id" INTEGER NOT NULL,
	 "search_key_id" TEXT,
	 "search_type" TEXT,
	 "brand_logo_url" TEXT,
	 "search_string" TEXT NOT NULL,
	PRIMARY KEY("_id")
);